using System;

namespace Server.Items
{
	public class MagicHorn : BaseInstrument
	{
		[Constructable]
		public MagicHorn() : base( 0x0409, 0x5D2, 0x5D3 )
		{
			Name = "magic shell trumpet";
			Weight = 5.0;
			ItemID = Utility.RandomList( 0x0409, 0x040A );
		}

		public MagicHorn( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}